Index: EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/tcp_subr.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/tcp_subr.c	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/tinet/netinet/tcp_subr.c	(revision 321)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -135,11 +123,10 @@
 
 /*
- *  å
-¨åå¤æ°
- */
-
-/*
- *  TCP ã® SEQ ã®åæå¤ããã­ã°ã©ã ãèµ·åãã¦ãæåã« TCP ã»ã°ã¡ã³ãã
- *  éåä¿¡ããã¨ãã«ãget_tim() ã«ããåæåããã
+ *  全域変数
+ */
+
+/*
+ *  TCP の SEQ の初期値、プログラムが起動して、最初に TCP セグメントを
+ *  送受信するときに、get_tim() により初期化する。
  */
 T_TCP_SEQ tcp_iss = 0;
@@ -148,6 +135,5 @@
 
 /*
- *  SNMP ã® ç®¡çæ
-å ±ãã¼ã¹ (MIB)
+ *  SNMP の 管理情報ベース (MIB)
  */
 
@@ -157,17 +143,15 @@
 
 /*
- *  å±æå¤æ°
- */
-
-static uint16_t tcp_port_auto = TCP_PORT_FIRST_AUTO;	/* èªåå²ãå½ã¦çªå·	*/
-
-/*
- *  tcp_free_reassq -- åä¿¡åæ§æã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã
+ *  局所変数
+ */
+
+static uint16_t tcp_port_auto = TCP_PORT_FIRST_AUTO;	/* 自動割り当て番号	*/
+
+/*
+ *  tcp_free_reassq -- 受信再構成キューのネットワークバッファを解放する。
  *
- *    æ³¨æ:
- *      å¿
-è¦ã§ããã°ããã®é¢æ°ãå¼ã³åºãåã«ãéä¿¡ç«¯ç¹ãã­ãã¯ãã
- *      æ»ã£ãå¾ãè§£é¤ããå¿
-è¦ãããã
+ *    注意:
+ *      必要であれば、この関数を呼び出す前に、通信端点をロックし、
+ *      戻った後、解除する必要がある。
  */
 
@@ -186,5 +170,5 @@
 
 /*
- *  tcp_alloc_auto_port -- èªåå²ãå½ã¦ãã¼ãçªå·ãè¨­å®ããã
+ *  tcp_alloc_auto_port -- 自動割り当てポート番号を設定する。
  */
 
@@ -245,5 +229,5 @@
 
 /*
- *  tcp_alloc_port -- æå®ããããã¼ãçªå·ãè¨­å®ããã
+ *  tcp_alloc_port -- 指定されたポート番号を設定する。
  */
 
@@ -265,5 +249,5 @@
 
 /*
- *  tcp_init -- TCP ã¢ã¸ã¥ã¼ã«ã®åæå
+ *  tcp_init -- TCP モジュールの初期化
  */
 
@@ -281,5 +265,5 @@
 
 /*
- * tcp_init_iss ã·ã¼ã±ã³ã¹çªå·ãåæåããã
+ * tcp_init_iss シーケンス番号を初期化する。
  */
 
@@ -311,5 +295,5 @@
 
 /*
- *  tcp_close -- ã³ãã¯ã·ã§ã³ãéæ¾ããã
+ *  tcp_close -- コネクションを開放する。
  */
 
@@ -317,10 +301,10 @@
 tcp_close (T_TCP_CEP *cep)
 {
-	/* ã¿ã¤ãã¼ãåæ­¢ããã*/
+	/* タイマーを停止する。*/
 	tcp_cancel_timers(cep);
 
 	/* 
-	 *  éä¿¡ç«¯ç¹ãã­ãã¯ãã
-	 *  åä¿¡åæ§æã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã
+	 *  通信端点をロックし、
+	 *  受信再構成キューのネットワークバッファを解放する。
 	 */
 	syscall(wai_sem(cep->semid_lock));
@@ -328,12 +312,11 @@
 	syscall(sig_sem(cep->semid_lock));
 
-	/* ç¶æ
-ãæªä½¿ç¨ã«ããã*/
+	/* 状態を未使用にする。*/
 	cep->fsm_state = TCP_FSM_CLOSED;
 
 	/*
-	 * ä»¥ä¸ã«é¢ä¿ããªããã©ã°ãã¯ãªã¢ã¼ããã
-	 * ã»éåä¿¡ã¦ã£ã³ããããã¡ã®çã³ãã¼æ©è½
-	 * ã»åçãªéä¿¡ç«¯ç¹ã®çæã»åé¤æ©è½
+	 * 以下に関係しないフラグをクリアーする。
+	 * ・送受信ウィンドバッファの省コピー機能
+	 * ・動的な通信端点の生成・削除機能
 	 */
 	cep->flags &= (TCP_CEP_FLG_WBCS_NBUF_REQ | TCP_CEP_FLG_WBCS_MASK | 
@@ -343,5 +326,5 @@
 
 	if (cep->snd_nblk_tfn != TFN_TCP_UNDEF || cep->rcv_nblk_tfn != TFN_TCP_UNDEF) {
-		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+		/* ノンブロッキングコール */
 
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
@@ -356,5 +339,5 @@
 
 				case TFN_TCP_ACP_CEP:
-					/* TCP éä¿¡ç«¯ç¹ããTCP åä»å£ãè§£æ¾ããã*/
+					/* TCP 通信端点からTCP 受付口を解放する。*/
 					cep->rep = NULL;
 					(*cep->callback)(GET_TCP_CEPID(cep), cep->rcv_nblk_tfn, (void*)E_CLS);
@@ -363,8 +346,8 @@
 				case TFN_TCP_RCV_BUF:
 
-					/* åä¿¡ã¦ã£ã³ããããã¡ã®ç©ºã¢ãã¬ã¹ãç²å¾ããã*/
+					/* 受信ウィンドバッファの空アドレスを獲得する。*/
 					len = TCP_GET_RWBUF_ADDR(cep, cep->rcv_p_buf);
 
-					/* ç°å¸¸åæ­ç­ã®ã¨ã©ã¼ãè¨­å®ããã*/
+					/* 異常切断等のエラーを設定する。*/
 					if (cep->error == E_TMOUT)
 						len = E_CLS;
@@ -377,8 +360,8 @@
 				case TFN_TCP_RCV_DAT:
 
-					/* åä¿¡ã¦ã£ã³ããããã¡ãããã¼ã¿ãåãåºãã*/
+					/* 受信ウィンドバッファからデータを取り出す。*/
 					len = TCP_READ_RWBUF(cep, cep->rcv_data, (uint_t)cep->rcv_len);
 
-					/* ç°å¸¸åæ­ç­ã®ã¨ã©ã¼ãè¨­å®ããã*/
+					/* 異常切断等のエラーを設定する。*/
 					if (cep->error == E_TMOUT)
 						len = E_CLS;
@@ -402,5 +385,5 @@
 					}
 
-				/* è¨æ¶ããã¦ããã¿ã¹ã¯ ID ã¨ API æ©è½ã³ã¼ããã¯ãªã¢ã¼ããã*/
+				/* 記憶されているタスク ID と API 機能コードをクリアーする。*/
 				cep->rcv_tskid = TA_NULL;
 				cep->rcv_tfn   = cep->rcv_nblk_tfn = TFN_TCP_UNDEF;
@@ -412,5 +395,5 @@
 
 				case TFN_TCP_CON_CEP:
-					/* TCP éä¿¡ç«¯ç¹ãã TCP åä»å£ãè§£æ¾ããã*/
+					/* TCP 通信端点から TCP 受付口を解放する。*/
 					cep->rep = NULL;
 					(*cep->callback)(GET_TCP_CEPID(cep), cep->snd_nblk_tfn, (void*)E_CLS);
@@ -430,5 +413,5 @@
 					}
 
-				/* è¨æ¶ããã¦ããã¿ã¹ã¯ ID ã¨ API æ©è½ã³ã¼ããã¯ãªã¢ã¼ããã*/
+				/* 記憶されているタスク ID と API 機能コードをクリアーする。*/
 				cep->snd_tskid = TA_NULL;
 				cep->snd_tfn   = cep->snd_nblk_tfn = TFN_TCP_UNDEF;
@@ -448,5 +431,5 @@
 
 				case TFN_TCP_ACP_CEP:
-					/* TCP éä¿¡ç«¯ç¹ããTCP åä»å£ãè§£æ¾ããã*/
+					/* TCP 通信端点からTCP 受付口を解放する。*/
 					cep->rep = NULL;
 					len      = E_CLS;
@@ -456,8 +439,8 @@
 				case TFN_TCP_RCV_BUF:
 
-					/* åä¿¡ã¦ã£ã³ããããã¡ã®ç©ºã¢ãã¬ã¹ãç²å¾ããã*/
+					/* 受信ウィンドバッファの空アドレスを獲得する。*/
 					len = TCP_GET_RWBUF_ADDR(cep, cep->rcv_p_buf);
 
-					/* ç°å¸¸åæ­ç­ã®ã¨ã©ã¼ãè¨­å®ããã*/
+					/* 異常切断等のエラーを設定する。*/
 					if (cep->error == E_TMOUT)
 						len = E_CLS;
@@ -470,8 +453,8 @@
 				case TFN_TCP_RCV_DAT:
 
-					/* åä¿¡ã¦ã£ã³ããããã¡ãããã¼ã¿ãåãåºãã*/
+					/* 受信ウィンドバッファからデータを取り出す。*/
 					len = TCP_READ_RWBUF(cep, cep->rcv_data, (uint_t)cep->rcv_len);
 
-					/* ç°å¸¸åæ­ç­ã®ã¨ã©ã¼ãè¨­å®ããã*/
+					/* 異常切断等のエラーを設定する。*/
 					if (cep->error == E_TMOUT)
 						len = E_CLS;
@@ -495,5 +478,5 @@
 					}
 
-				/* è¨æ¶ããã¦ããã¿ã¹ã¯ ID ã¨ API æ©è½ã³ã¼ããã¯ãªã¢ã¼ããã*/
+				/* 記憶されているタスク ID と API 機能コードをクリアーする。*/
 				cep->rcv_tskid = TA_NULL;
 				cep->rcv_tfn   = cep->rcv_nblk_tfn = TFN_TCP_UNDEF;
@@ -506,5 +489,5 @@
 
 				case TFN_TCP_CON_CEP:
-					/* TCP éä¿¡ç«¯ç¹ãã TCP åä»å£ãè§£æ¾ããã*/
+					/* TCP 通信端点から TCP 受付口を解放する。*/
 					cep->rep = NULL;
 					len      = E_CLS;
@@ -526,5 +509,5 @@
 					}
 
-				/* è¨æ¶ããã¦ããã¿ã¹ã¯ ID ã¨ API æ©è½ã³ã¼ããã¯ãªã¢ã¼ããã*/
+				/* 記憶されているタスク ID と API 機能コードをクリアーする。*/
 				cep->snd_tskid = TA_NULL;
 				cep->snd_tfn   = cep->snd_nblk_tfn = TFN_TCP_UNDEF;
@@ -536,6 +519,6 @@
 
 		/* 
-		 *  éä¿¡ç«¯ç¹ãã­ãã¯ãã
-		 *  éåä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã
+		 *  通信端点をロックし、
+		 *  送受信ウィンドバッファキューのネットワークバッファを解放する。
 		 */
 		syscall(wai_sem(cep->semid_lock));
@@ -544,18 +527,18 @@
 		syscall(sig_sem(cep->semid_lock));
 
-		/* æªä½¿ç¨ã«ãªã£ããã¨ãç¥ãããã*/
+		/* 未使用になったことを知らせる。*/
 		syscall(set_flg(cep->est_flgid, TCP_CEP_EVT_CLOSED));
 		}
-	else {	/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+	else {	/* 非ノンブロッキングコール */
 
 #endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-		/* è¨æ¶ããã¦ããã¿ã¹ã¯ ID ã¨ API æ©è½ã³ã¼ããã¯ãªã¢ã¼ããã*/
+		/* 記憶されているタスク ID と API 機能コードをクリアーする。*/
 		cep->snd_tskid = cep->rcv_tskid = TA_NULL;
 		cep->snd_tfn   = cep->rcv_tfn   = TFN_TCP_UNDEF;
 
 		/* 
-		 *  éä¿¡ç«¯ç¹ãã­ãã¯ãã
-		 *  éåä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã
+		 *  通信端点をロックし、
+		 *  送受信ウィンドバッファキューのネットワークバッファを解放する。
 		 */
 		syscall(wai_sem(cep->semid_lock));
@@ -564,11 +547,10 @@
 		syscall(sig_sem(cep->semid_lock));
 
-		/* æªä½¿ç¨ã«ãªã£ããã¨ãç¥ãããã*/
+		/* 未使用になったことを知らせる。*/
 		syscall(set_flg(cep->est_flgid, TCP_CEP_EVT_CLOSED));
 
 		/*
-		 * å
-¥åºåã¿ã¹ã¯ãèµ·åºãã¦ã
-		 * éåä¿¡ä¸å¯ã«ãªã£ããã¨ãç¥ãããã
+		 * 入出力タスクを起床して、
+		 * 送受信不可になったことを知らせる。
 		 */
 		syscall(set_flg(cep->snd_flgid, TCP_CEP_EVT_SWBUF_READY));
@@ -585,5 +567,5 @@
 
 /*
- *  tcp_drop -- TCP æ¥ç¶ãç ´æ£ããã
+ *  tcp_drop -- TCP 接続を破棄する。
  */
 
@@ -603,5 +585,5 @@
 		cep->fsm_state = TCP_FSM_CLOSED;
 
-		/* éä¿¡ã¨ãéä¿¡å¾ã³ãã¯ã·ã§ã³ã®åæ­ãæç¤ºããã*/
+		/* 送信と、送信後コネクションの切断を指示する。*/
 		cep->flags |=  TCP_CEP_FLG_POST_OUTPUT | TCP_CEP_FLG_CLOSE_AFTER_OUTPUT;
 		sig_sem(SEM_TCP_POST_OUTPUT);
@@ -613,5 +595,5 @@
 
 /*
- *  tcp_respond -- TCP ã®åä¸ã¡ãã»ã¼ã¸ãéä¿¡ããã
+ *  tcp_respond -- TCP の単一メッセージを送信する。
  */
 
@@ -628,7 +610,6 @@
 
 	/*
-	 *  output ã NULL ã§ãªããã°ãããã¯å
-¥åããã»ã°ã¡ã³ãã®
-	 *  net_buf ã§ããã®ã¾ã¾åå©ç¨ããã
+	 *  output が NULL でなければ、これは入力したセグメントの
+	 *  net_buf で、そのまま再利用する。
 	 */
 	if (output != NULL) {
@@ -637,6 +618,6 @@
 
 		/*
-		 * IPv4 ã§ã¯ãIP ãããã®ãªãã·ã§ã³ãåé¤ããã
-		 * IPv6 ã§ã¯ãæ¡å¼µããããåé¤ããã
+		 * IPv4 では、IP ヘッダのオプションを削除する。
+		 * IPv6 では、拡張ヘッダを削除する。
 		 */
 		if (IP_REMOVE_OPTIONS(output) != E_OK) {
@@ -647,5 +628,5 @@
 		iph  = GET_IP_HDR(output);
 
-		/* IP ã¢ãã¬ã¹ãäº¤æããã*/
+		/* IP アドレスを交換する。*/
 		ipaddr = iph->src;
 		iph->src = iph->dst;
@@ -654,25 +635,24 @@
 #if defined(SUPPORT_INET6)
 
-		/* ãã©ããã¯ã¯ã©ã¹ã¨ãã­ã¼ã©ãã«ãã¯ãªã¢ããã*/
+		/* トラヒッククラスとフローラベルをクリアする。*/
 		iph->vcf = htonl(IP6_MAKE_VCF(IP6_VCF_V(ntohl(iph->vcf)), 0));
 
 #endif	/* of #if defined(SUPPORT_INET6) */
 
-		/* TCP SDU é·ã 0 ã«ããã*/
+		/* TCP SDU 長を 0 にする。*/
 		SET_IP_SDU_SIZE(iph, TCP_HDR_SIZE);
 
 		tcph = GET_TCP_HDR(output, IF_IP_TCP_HDR_OFFSET);
 
-		/* ãã¼ãçªå·ãäº¤æããã*/
+		/* ポート番号を交換する。*/
 		portno = tcph->sport;
 		tcph->sport = tcph->dport;
 		tcph->dport = portno;
 
-		/* TCP ãããã«æ
-å ±ãè¨­å®ããã*/
+		/* TCP ヘッダに情報を設定する。*/
 		tcph->doff = TCP_MAKE_DATA_OFF(TCP_HDR_SIZE);
 		}
 	
-	/* cep ã NULL ã§ããã°ãä½ãããªãã§çµäºããã*/
+	/* cep が NULL であれば、何もしないで終了する。*/
 	else if (cep == NULL)
 		return;
@@ -693,10 +673,10 @@
 
 	/*
-	 *  ãã§ãã¯ãµã ãè¨­å®ããã
+	 *  チェックサムを設定する。
 	 */
 	tcph->sum = IN_CKSUM(output, IPPROTO_TCP, IF_IP_TCP_HDR_OFFSET, 
 	                     (uint_t)GET_TCP_HDR_SIZE2(output, IF_IP_TCP_HDR_OFFSET));
 
-	/* ãããã¯ã¼ã¯ãããã¡é·ãèª¿æ´ããã*/
+	/* ネットワークバッファ長を調整する。*/
 	output->len = (uint16_t)GET_IF_IP_TCP_HDR_SIZE2(output, IF_IP_TCP_HDR_OFFSET);
 
@@ -707,10 +687,10 @@
 #endif	/* of #ifdef TCP_CFG_TRACE */
 
-	/* ãããã¯ã¼ã¯å±¤ (IP) ã®åºåé¢æ°ãå¼ã³åºãã*/
+	/* ネットワーク層 (IP) の出力関数を呼び出す。*/
 	IP_OUTPUT(output, TMO_TCP_OUTPUT);
 	}
 
 /*
- *  tcp_set_header -- TCP ããããè¨­å®ããã
+ *  tcp_set_header -- TCP ヘッダを設定する。
  */
 
@@ -720,6 +700,5 @@
 	T_TCP_HDR	*tcph = GET_TCP_HDR(nbuf, thoff);
 
-	/* TCP ãããã«æ
-å ±ãè¨­å®ããã*/
+	/* TCP ヘッダに情報を設定する。*/
 	tcph->sport	= htons(cep->myaddr.portno);
 	tcph->dport	= htons(cep->dstaddr.portno);
@@ -729,9 +708,9 @@
 
 /*
- *  tcp_get_segment -- TCP ã»ã°ã¡ã³ããç²å¾ããããããè¨­å®ããã
+ *  tcp_get_segment -- TCP セグメントを獲得し、ヘッダを設定する。
  *
- *    æ»ãå¤	ã¨ã©ã¼ã³ã¼ã
- *    optlen	ãªãã·ã§ã³ãµã¤ãºã4 ãªã¯ãããåä½
- *    len	TCP SDU ãµã¤ãº
+ *    戻り値	エラーコード
+ *    optlen	オプションサイズ、4 オクテット単位
+ *    len	TCP SDU サイズ
  */
 
@@ -742,5 +721,5 @@
 	ER		error;
 
-	/* IP ãã¼ã¿ã°ã©ã ãç²å¾ããã*/
+	/* IP データグラムを獲得する。*/
 	if ((error = IN_GET_DATAGRAM(nbuf,
 	                             (uint_t)(TCP_HDR_SIZE + optlen + len),
@@ -754,6 +733,5 @@
 		}
 
-	/* TCP ãããã«æ
-å ±ãè¨­å®ããã*/
+	/* TCP ヘッダに情報を設定する。*/
 	tcp_set_header(*nbuf, cep, IF_IP_TCP_HDR_OFFSET, optlen);
 
@@ -762,6 +740,5 @@
 
 /*
- *  tcp_can_send_more -- éä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã
+ *  tcp_can_send_more -- 送信できるか、通信端点の状態を見る。
  */
 
@@ -771,6 +748,5 @@
 	ER	error;
 
-	/* éä¿¡ã§ããããCEP ã® FSM ç¶æ
-ãè¦ãã*/
+	/* 送信できるか、CEP の FSM 状態を見る。*/
 	if (!TCP_FSM_CAN_SEND_MORE(cep->fsm_state)) {
 		if ((error = cep->error) == E_OK)
@@ -779,6 +755,6 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-		/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-		if (tmout == TMO_NBLK) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+		/* タイムアウトをチェックする。*/
+		if (tmout == TMO_NBLK) {	/* ノンブロッキングコール */
 
 			if (!IS_PTR_DEFINED(cep->callback))
@@ -788,10 +764,10 @@
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 
-				/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+				/* コールバック関数を呼び出す。*/
 				(*cep->callback)(GET_TCP_CEPID(cep), fncd, (void*)error);
 
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING_COMPAT14 */
 
-				/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+				/* コールバック関数を呼び出す。*/
 				(*cep->callback)(GET_TCP_CEPID(cep), fncd, (void*)&error);
 
@@ -817,6 +793,6 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-			/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-			if (tmout == TMO_NBLK) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+			/* タイムアウトをチェックする。*/
+			if (tmout == TMO_NBLK) {	/* ノンブロッキングコール */
 				if (!IS_PTR_DEFINED(cep->callback))
 					error = E_OBJ;
@@ -825,10 +801,10 @@
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 
-					/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+					/* コールバック関数を呼び出す。*/
 					(*cep->callback)(GET_TCP_CEPID(cep), fncd, (void*)E_OBJ);
 
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING_COMPAT14 */
 
-					/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+					/* コールバック関数を呼び出す。*/
 					error = E_OBJ;
 					(*cep->callback)(GET_TCP_CEPID(cep), fncd, (void*)&error);
@@ -856,11 +832,10 @@
 
 /*
- *  tcp_can_recv_more -- åä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã
+ *  tcp_can_recv_more -- 受信できるか、通信端点の状態を見る。
  *
- *  æ³¨æ: æ»ãå¤
+ *  注意: 戻り値
  *
- *	E_OK	åä¿¡å¯è½
- *	E_OBJ	ç¸æããåæ­ãããããã¨ã©ã¼ãçºçããã
+ *	E_OK	受信可能
+ *	E_OBJ	相手から切断されたか、エラーが発生した。
  */
 
@@ -869,6 +844,6 @@
 {
 	/*
-	 *  åä¿¡ã§ããããfsm_state ãè¦ããåä¿¡ã§ããªãå ´åã¯
-	 *  é·ã 0ãã¾ãã¯ã¨ã©ã¼ãè¿ãã
+	 *  受信できるか、fsm_state を見る。受信できない場合は
+	 *  長さ 0、またはエラーを返す。
 	 */
 	if (!TCP_FSM_CAN_RECV_MORE(cep->fsm_state) &&
@@ -878,6 +853,6 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-		/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-		if (tmout == TMO_NBLK) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+		/* タイムアウトをチェックする。*/
+		if (tmout == TMO_NBLK) {	/* ノンブロッキングコール */
 
 			if (!IS_PTR_DEFINED(cep->callback))
@@ -886,10 +861,10 @@
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 
-				/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+				/* コールバック関数を呼び出す。*/
 				(*cep->callback)(GET_TCP_CEPID(cep), fncd, (void*)*error);
 
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING_COMPAT14 */
 
-				/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+				/* コールバック関数を呼び出す。*/
 				(*cep->callback)(GET_TCP_CEPID(cep), fncd, (void*)error);
 
@@ -903,6 +878,6 @@
 
 		/*
-		 *  éä¿¡ç«¯ç¹ãã­ãã¯ãã¦ã
-		 *  åä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã
+		 *  通信端点をロックして、
+		 *  受信ウィンドバッファキューのネットワークバッファを解放する。
 		 */
 		syscall(wai_sem(cep->semid_lock));
@@ -920,6 +895,6 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-			/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-			if (tmout == TMO_NBLK) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+			/* タイムアウトをチェックする。*/
+			if (tmout == TMO_NBLK) {	/* ノンブロッキングコール */
 				if (!IS_PTR_DEFINED(cep->callback))
 					*error = E_OBJ;
@@ -928,10 +903,10 @@
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 
-					/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+					/* コールバック関数を呼び出す。*/
 					(*cep->callback)(GET_TCP_CEPID(cep), fncd, (void*)E_OBJ);
 
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING_COMPAT14 */
 
-					/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+					/* コールバック関数を呼び出す。*/
 					*error = E_OBJ;
 					(*cep->callback)(GET_TCP_CEPID(cep), fncd, (void*)error);
@@ -958,7 +933,5 @@
 
 /*
- *  tcp_wait_rwbuf -- åä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãå
-¥ãã®ãå¾
-ã¤ã
+ *  tcp_wait_rwbuf -- 受信ウィンドバッファにデータが入るのを待つ。
  */
 
@@ -970,7 +943,5 @@
 
 	if (cep->rwbuf_count == 0) {
-		/* åä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ããªããã°ãå
-¥åãããã¾ã§å¾
-ã¤ã*/
+		/* 受信ウィンドバッファにデータがなければ、入力があるまで待つ。*/
 		while (cep->rwbuf_count == 0) {
 			if ((error = twai_flg(cep->rcv_flgid, TCP_CEP_EVT_RWBUF_READY, TWF_ORW, &flag, tmout)) != E_OK) {
@@ -980,7 +951,6 @@
 
 			/*
-			 *  åä¿¡ã§ããããfsm_state ãè¦ããåä¿¡ã§ããªãç¶æ
-ã§ã
-			 *  åä¿¡ã¦ã£ã³ããããã¡ã«æå­ããªãå ´åã¯çµäºããã
+			 *  受信できるか、fsm_state を見る。受信できない状態で、
+			 *  受信ウィンドバッファに文字がない場合は終了する。
 			 */
 			if (!TCP_FSM_CAN_RECV_MORE(cep->fsm_state) &&
@@ -988,6 +958,6 @@
 
 				/*
-				 *  éä¿¡ç«¯ç¹ãã­ãã¯ãã¦ã
-				 *  åä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã
+				 *  通信端点をロックして、
+				 *  受信ウィンドバッファキューのネットワークバッファを解放する。
 				 */
 #ifdef TCP_CFG_RWBUF_CSAVE
@@ -1008,5 +978,5 @@
 
 /*
- *  tcp_move_ra2rw -- åä¿¡åæ§æã­ã¥ã¼ã§åæ§æããã»ã°ã¡ã³ããåä¿¡ã¦ã£ã³ããããã¡ã«æ¸ãè¾¼ãã
+ *  tcp_move_ra2rw -- 受信再構成キューで再構成したセグメントを受信ウィンドバッファに書き込む。
  */
 
@@ -1018,6 +988,6 @@
 
 	/*
-	 *  åä¿¡ãã¼ã¿ãåä¿¡ã¦ã£ã³ããããã¡ã«æ¸ãè¾¼ã¿ã
-	 *  rcv_nxt ãå®äºãã SEQ ã ãé²ããã
+	 *  受信データを受信ウィンドバッファに書き込み、
+	 *  rcv_nxt を完了した SEQ だけ進める。
 	 */
 	if (TCP_FSM_HAVE_ESTABLISHED(cep->fsm_state)) {
@@ -1028,11 +998,11 @@
 				break;
 
-			/* æ¬¡ã®ã»ã°ã¡ã³ãã«é²ãã*/
+			/* 次のセグメントに進む。*/
 			cep->reassq = qhdr->next;
 
-			/* FIN ãã©ã°ã®ã¿æ®ãã*/
+			/* FIN フラグのみ残す。*/
 			flags &= TCP_FLG_FIN;
 
-			/* ãã¼ã¿ãåä¿¡ã¦ã£ã³ããããã¡ã«æ¸ãè¾¼ãã*/
+			/* データを受信ウィンドバッファに書き込む。*/
 			TCP_WRITE_RWBUF(cep, q, (uint_t)(GET_TCP_IP_Q_HDR(q)->thoff));
 			}
@@ -1046,5 +1016,5 @@
 
 /*
- *  tcp_write_raque -- åä¿¡ã»ã°ã¡ã³ããåæ§æãã¦ãåä¿¡åæ§æã­ã¥ã¼ã«ç¹ãã
+ *  tcp_write_raque -- 受信セグメントを再構成して、受信再構成キューに繋ぐ。
  */
 
@@ -1057,11 +1027,11 @@
 	int32_t		len;
 
-	/*  TCP ãããã®ä½ç½®ãä¿å­ããã*/
+	/*  TCP ヘッダの位置を保存する。*/
 	GET_TCP_IP_Q_HDR(input)->thoff = thoff;
 
 	/*
-	 *  MAX_TCP_REALLOC_SIZE ä»¥ä¸ã®å ´åã¯ãæ°ãã«ãããã¯ã¼ã¯ãããã¡ã
-	 *  å²å½ã¦ã¦ããã¼ã¿ãã³ãã¼ããã
-	 *  ãã®ã¨ããIP ã®ãªãã·ã§ã³ï¼æ¡å¼µãããï¼ã¨ TCP ã®ãªãã·ã§ã³ã¯åé¤ããã
+	 *  MAX_TCP_REALLOC_SIZE 以下の場合は、新たにネットワークバッファを
+	 *  割当てて、データをコピーする。
+	 *  このとき、IP のオプション（拡張ヘッダ）と TCP のオプションは削除する。
 	 */
 	len  = IF_IP_TCP_HDR_SIZE + inqhdr->slen;
@@ -1070,5 +1040,5 @@
 
 		/*
-		 *  ãããã¯ã¼ã¯ãããã¡ãç¢ºä¿ã§ããªãã¨ãã¯å²å½ã¦ãªãã
+		 *  ネットワークバッファが確保できないときは割当てない。
 		 */
 		if (tget_net_buf(&new, (uint_t)len, TMO_TCP_GET_NET_BUF) != E_OK)
@@ -1095,5 +1065,5 @@
 
 	/*
-	 *  ä»åè¿½å ããã»ã°ã¡ã³ãããå(p)ã¨å¾(q)ã®ã»ã°ã¡ã³ããæ¢ãã
+	 *  今回追加するセグメントより前(p)と後(q)のセグメントを探す。
 	 *
 	 *    +-------------------------+
@@ -1118,7 +1088,6 @@
 
 	/*
-	 *  å(p)ã®ã»ã°ã¡ã³ããããã°ãæ¢ã«ãä»åã¨åãã»ã°ã¡ã³ãã
-	 *  ãããã¨ãããããã®å ´åã¯ããã®é¨åã¾ãã¯å
-¨ã¦ãç ´æ£ããã
+	 *  前(p)のセグメントがあれば、既に、今回と同じセグメントが
+	 *  あることもある。その場合は、その部分または全てを破棄する。
 	 *
 	 *    qhdr->seq
@@ -1142,12 +1111,12 @@
 
 			/*
-			 *  len ãæ­£ã§ããã°ãå(p) ã®ã»ã°ã¡ã³ãã¨ä»åã®
-			 *  ã»ã°ã¡ã³ããéãªã£ã¦ããã
+			 *  len が正であれば、前(p) のセグメントと今回の
+			 *  セグメントが重なっている。
 			 */
 			if (len >= inqhdr->slen) {
 
 				/*
-				 *  len ãä»åã®ã»ã°ã¡ã³ãã¨åããªã
-				 *  ã¾ã£ããåãã»ã°ã¡ã³ããªã®ã§ä½ãããªãã
+				 *  len が今回のセグメントと同じなら
+				 *  まったく同じセグメントなので何もしない。
 				 */
 				if (new != NULL) {
@@ -1160,5 +1129,5 @@
 
 			/*
-			 *  è¿½å ããã»ã°ã¡ã³ãã® SDU ã len ååã«è©°ããã
+			 *  追加するセグメントの SDU を len 分前に詰める。
 			 */
 			inqhdr->seq  += len;
@@ -1169,6 +1138,6 @@
 
 	/*
-	 *  ã­ã¥ã¼ã«ã¤ãªãåã«ãæ°ãããããã¯ã¼ã¯ãããã¡ã«ãã¼ã¿ãç§»ãã
-	 *  TCP ã®ãªãã·ã§ã³ã¯åé¤ããã
+	 *  キューにつなぐ前に、新しいネットワークバッファにデータを移す。
+	 *  TCP のオプションは削除する。
 	 */
 	if (new != NULL) {
@@ -1183,5 +1152,5 @@
 
 	/*
-	 *  éãªãå¾(q)ã®ã»ã°ã¡ã³ããèª¿æ´ããã
+	 *  重なる後(q)のセグメントを調整する。
 	 *
 	 *    inqhdr->seq
@@ -1203,10 +1172,10 @@
 		len = inqhdr->seq + inqhdr->slen - qhdr->seq;
 		if (len <= 0)
-			/* len ãè² ãªãéãªã£ã¦ããªãã*/
+			/* len が負なら重なっていない。*/
 			break;
 		else if (len < qhdr->slen) {
 
 			/*
-			 *  å¾ãã§éãªã£ã¦ããã»ã°ã¡ã³ãã® SDU ã len ååã«è©°ããã
+			 *  後ろで重なっているセグメントの SDU を len 分前に詰める。
 			 *
 			 *    inqhdr->seq
@@ -1252,5 +1221,5 @@
 
 /*
- *  tcp_rexmt_val -- åéã¿ã¤ã ã¢ã¦ãå¤ãè¿ãã
+ *  tcp_rexmt_val -- 再送タイムアウト値を返す。
  */
 
@@ -1268,5 +1237,5 @@
 
 /*
- *  tcp_init_cep -- éä¿¡ç«¯ç¹ãåæåããã
+ *  tcp_init_cep -- 通信端点を初期化する。
  */
 
@@ -1276,8 +1245,7 @@
 #ifdef TCP_CFG_RWBUF_CSAVE
 	/*
-	 * åä¿¡ã¦ã£ã³ããããã¡ã®çã³ãã¼æ©è½ãæå¹ã«ããå ´åã
-	 * åä¿¡ã¦ã£ã³ããããã¡ãå
-¨ã¦è§£æ¾ãããªããã¨ãããã®ã§ã
-	 * ããã§è§£æ¾ããã
+	 * 受信ウィンドバッファの省コピー機能を有効にした場合、
+	 * 受信ウィンドバッファが全て解放されないことがあるので、
+	 * ここで解放する。
 	 */
 	if (cep->rwbufq != NULL) {
@@ -1293,24 +1261,24 @@
 	cep->rbuf_rptr	= cep->rbuf_wptr = cep->rbuf;
 
-	cep->maxseg	= DEF_TCP_SND_SEG;		/* éä¿¡æå¤§ã»ã°ã¡ã³ããµã¤ãº		*/
-	cep->srtt	= TCP_TVAL_SRTT_BASE;		/* æ»ãããªç§»åå¹³å			*/
+	cep->maxseg	= DEF_TCP_SND_SEG;		/* 送信最大セグメントサイズ		*/
+	cep->srtt	= TCP_TVAL_SRTT_BASE;		/* 滑らかな移動平均			*/
 	cep->rttvar	= ((TCP_TVAL_RTO_BASE - TCP_TVAL_SRTT_BASE) << TCP_RTTVAR_SHIFT) / 4;
-							/* æ»ãããªåæ£				*/
-	cep->rxtcur	= TCP_TVAL_RTO_BASE;		/* ç¾å¨ã®åéå¤				*/
-	cep->snd_cwnd	=  MAX_TCP_WIN_SIZE;		/* è¼»è¼³ã¦ã£ã³ããµã¤ãº			*/
-	cep->snd_ssthresh= MAX_TCP_WIN_SIZE;		/* è¼»è¼³ã¦ã£ã³ããµã¤ãº(snd_cwnd)ã®	å¶éå¤	*/
+							/* 滑らかな分散				*/
+	cep->rxtcur	= TCP_TVAL_RTO_BASE;		/* 現在の再送値				*/
+	cep->snd_cwnd	=  MAX_TCP_WIN_SIZE;		/* 輻輳ウィンドサイズ			*/
+	cep->snd_ssthresh= MAX_TCP_WIN_SIZE;		/* 輻輳ウィンドサイズ(snd_cwnd)の	制限値	*/
 
 	/*
-	 * ä»¥ä¸ã«é¢ä¿ããªããã©ã°ãã¯ãªã¢ã¼ããã
-	 * ã»éåä¿¡ã¦ã£ã³ããããã¡ã®çã³ãã¼æ©è½
-	 * ã»åçãªéä¿¡ç«¯ç¹ã®çæã»åé¤æ©è½
+	 * 以下に関係しないフラグをクリアーする。
+	 * ・送受信ウィンドバッファの省コピー機能
+	 * ・動的な通信端点の生成・削除機能
 	 */
 	cep->flags &= (TCP_CEP_FLG_WBCS_NBUF_REQ | TCP_CEP_FLG_WBCS_MASK | 
 	               TCP_CEP_FLG_DYNAMIC       | TCP_CEP_FLG_VALID);
 
-	/* ã»ããã©ãåæåããã*/
+	/* セマフォを初期化する。*/
 	sig_sem (cep->semid_lock);
 
-	/* ãã©ã°ãåæåããã*/
+	/* フラグを初期化する。*/
 	syscall(set_flg(cep->snd_flgid, TCP_CEP_EVT_SWBUF_READY));
 	syscall(clr_flg(cep->rcv_flgid, TCP_CEP_EVT_RWBUF_READY));
@@ -1318,5 +1286,5 @@
 
 /*
- *  tcp_notify -- ICMP ã¨ã©ã¼ã®å¦ç
+ *  tcp_notify -- ICMP エラーの処理
  */
 
@@ -1334,6 +1302,6 @@
 
 		/*
-		 *  ã³ãã¯ã·ã§ã³éè¨­æ¸ã§ããã¹ãå°éä¸è½ã¨ã©ã¼ã®å ´åã¯ã
-		 *  åéã«ããå¦çããã
+		 *  コネクション開設済で、ホスト到達不能エラーの場合は、
+		 *  再送により処理する。
 		 */
 		if (cep->fsm_state == TCP_FSM_ESTABLISHED &&
@@ -1342,8 +1310,6 @@
 
 		/*
-		 *  ã³ãã¯ã·ã§ã³éè¨­ä¸­ãåãã¨ã©ã¼ãä½åº¦ãåä¿¡ããå ´åã¯ã
-		 *  å¾
-ã¡ç¶æ
-ãè§£é¤ããå¯¾å¿ããé¢æ°ã«ã¨ã©ã¼ãè¿ãããã
+		 *  コネクション開設中、同じエラーを何度か受信した場合は、
+		 *  待ち状態を解除し、対応する関数にエラーを返させる。
 		 */
 		if (cep->fsm_state < TCP_FSM_ESTABLISHED && cep->rxtshift > 3 && cep->net_error != E_OK) {
@@ -1354,5 +1320,5 @@
 			cep->net_error = error;
 
-			/* éä¿¡ãæç¤ºããã*/
+			/* 送信を指示する。*/
 			cep->flags |=  TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1362,9 +1328,9 @@
 
 /*
- *  tcp_find_cep -- ãã¼ãçªå·ãã TCP éä¿¡ç«¯ç¹ãå¾ãã
+ *  tcp_find_cep -- ポート番号から TCP 通信端点を得る。
  *
- *    æ³¨æ: dstaddr ã¯ã
- *          TINET-1.2 ãããããã¯ã¼ã¯ãã¤ããªã¼ãã
- *          TINET-1.1 ã¾ã§ã¯ããã¹ããã¤ããªã¼ã
+ *    注意: dstaddr は、
+ *          TINET-1.2 からネットワークバイトオーダ、
+ *          TINET-1.1 までは、ホストバイトオーダ
  */
 
@@ -1375,7 +1341,6 @@
 	
 	/*
-	 *  ç¶æ
-ã SYN éä¿¡æ¸ã¿ä»¥å¾ã¯ã
-	 *  IP ã¢ãã¬ã¹ã¨ãã¼ãçªå·ãä¸è´ããéä¿¡ç«¯ç¹ãæ¢ç´¢ããã
+	 *  状態が SYN 送信済み以後は、
+	 *  IP アドレスとポート番号が一致する通信端点を探索する。
 	 */
 	for (cep = &tcp_cep[tmax_tcp_cepid]; cep -- != tcp_cep; ) {
@@ -1388,5 +1353,5 @@
 		}
 
-	/* ååãªã¼ãã³ä¸­ã®éä¿¡ç«¯ç¹ãæ¢ç´¢ããã*/	
+	/* 受動オープン中の通信端点を探索する。*/	
 	for (cep = &tcp_cep[tmax_tcp_cepid]; cep -- != tcp_cep; ) {
 		if (cep->fsm_state == TCP_FSM_LISTEN &&
@@ -1400,5 +1365,5 @@
 
 /*
- *  tcp_lock_cep -- TCP éä¿¡ç«¯ç¹ãã­ãã¯ããã
+ *  tcp_lock_cep -- TCP 通信端点をロックする。
  */
 
@@ -1411,15 +1376,15 @@
 	*p_cep = NULL;
 
-	/* TCP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* TCP 通信端点 ID をチェックする。*/
 	if (!VAID_TCP_CEPID(cepid))
 		return E_ID;
 
-	/* TCP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* TCP 通信端点を得る。*/
 	cep = GET_TCP_CEP(cepid);
 
-	/* TCP éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* TCP 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
-	/* TCP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* TCP 通信端点をチェックする。*/
 	if (!VALID_TCP_CEP(cep)) {
 		syscall(sig_sem(cep->semid_lock));
@@ -1428,6 +1393,6 @@
 
 	/*
-	 *  API æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if (IS_TFN_TCP_RCV(tfn)) {
@@ -1451,5 +1416,5 @@
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -1465,6 +1430,5 @@
 
 /*
- *  ã³ãã¯ã·ã§ã³ã®ç¶æ
-
+ *  コネクションの状態
  */
 
@@ -1484,5 +1448,5 @@
 
 /*
- *  trace_putchar -- ã·ãªã¢ã«ãã¼ãã¸ã®æå­åºå
+ *  trace_putchar -- シリアルポートへの文字出力
  */
 
@@ -1495,9 +1459,9 @@
 
 /*
- *  ã·ãªã¢ã«ãã¼ãã¸ã®æ¸å¼ä»æå­ååºåã©ã¤ãã©ãª
- */
-
-/*
- *  æ°å¤å¤æã®ããã®å¤æè¡¨
+ *  シリアルポートへの書式付文字列出力ライブラリ
+ */
+
+/*
+ *  数値変換のための変換表
  */
 
@@ -1506,5 +1470,5 @@
 
 /*
- *  convert -- trace_printf ã®æ°å¤å¤æ
+ *  convert -- trace_printf の数値変換
  */
 
@@ -1543,5 +1507,5 @@
 
 /*
- *  trace_printf -- ã·ãªã¢ã«ãã¼ãã¸ã®æ¸å¼ä»æå­ååºå
+ *  trace_printf -- シリアルポートへの書式付文字列出力
  */
 
@@ -1556,5 +1520,5 @@
 	va_start(ap, fmt);
 	while ((ch = *fmt ++) != '\0') {
-		if (ch != '%') {		/* æ¸å¼æå®ä»¥å¤ */
+		if (ch != '%') {		/* 書式指定以外 */
 			trace_putchar(portid, (char)ch);
 			continue;
@@ -1563,16 +1527,15 @@
 		width = longflag = 0;
 		padchar = ' ';
-		if ((ch = *fmt ++) == '0') {	/* ä¸ä½æ¡ã® 0 */
+		if ((ch = *fmt ++) == '0') {	/* 上位桁の 0 */
 			padchar = '0';
 			ch = *fmt ++;
 			}
 
-		while ('0' <= ch && ch <= '9') {	/* åºåå¹
- */
+		while ('0' <= ch && ch <= '9') {	/* 出力幅 */
 			width = width * 10 + ch - '0';
 			ch = *fmt ++;
 			}
 
-		while (ch == 'l') {		/* long (long) ã®æå® */
+		while (ch == 'l') {		/* long (long) の指定 */
 			longflag ++;
 			ch = *fmt ++;
@@ -1635,5 +1598,5 @@
 
 /*
- *  TCP ãã©ã°æå­å
+ *  TCP フラグ文字列
  */
 
@@ -1654,5 +1617,5 @@
 
 /*
- *  éä¿¡ TCP ãããã®ãã¬ã¼ã¹åºå
+ *  送信 TCP ヘッダのトレース出力
  */
 
@@ -1705,8 +1668,7 @@
 
 /*
- *  åä¿¡ TCP ãããã®ãã¬ã¼ã¹åºå
+ *  受信 TCP ヘッダのトレース出力
  *
- *    æ³¨æ: TCP ãããå
-ã¯ããã§ã«ãã¹ããã¤ããªã¼ã
+ *    注意: TCP ヘッダ内は、すでにホストバイトオーダ
  */
 
